Manage incidents
Acknowledge, resolve, escalate or reassign one or more incidents.
An incident represents a problem or an issue that needs to be addressed and resolved.
A maximum of 250 incidents may be updated at a time. If more than this number of incidents are given, the API will respond with status 413 (Request Entity Too Large).
For more information see the API Concepts Document
Scoped OAuth requires: incidents.write
This API operation has operation specific rate limits. See the Rate Limits page for more information.
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The number of results per page.
Offset to start pagination search results.
By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated.
See our Pagination Docs for more information.
falseHeader Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
The email address of a valid user associated with the account making the request.
emailRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
Update an incident PUT
Acknowledge, resolve, escalate or reassign an incident. An incident represents a problem or an issue that needs to be addressed and resolved. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#incidents) Scoped OAuth requires: `incidents.write`
Ip allow lists
Next Page